package com.ankaibei.workFlow.webadmin.api;

import com.ankaibei.workFlow.webadmin.utils.GaoDeWebUtil;
import com.ankaibei.workflow.api.AreaApi;
import com.ankaibei.workflow.vo.AreaInfo;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/foreign/admin/area")
public class AreaApiService implements AreaApi {


    @Override
    public List<AreaInfo> getInfoLikeKeywordsAndSubdistrict(String keywords, Integer subdistrict) {
        return GaoDeWebUtil.getInfoLikeKeywordsAndSubdistrict(keywords, subdistrict);
    }

    @Override
    public List<AreaInfo> getProvinces() {
        return GaoDeWebUtil.getProvinces();
    }

    @Override
    public List<AreaInfo> getCity(String keywords) {
        return GaoDeWebUtil.getCity(keywords);
    }

}
